GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference

Finish company onboarding

Finalize a company's onboarding process.

Approve a company in demo

After a company is finished onboarding, Gusto requires an additional step to review and approve that company. The company onboarding status is "onboarding_completed": false, until the API call is made to finish company onboarding. In production environments, this step is required for risk-analysis purposes.

We provide the endpoint PUT '/v1/companies/{company_uuid}/approve' to facilitate company approvals in the demo environment.

PUT '/v1/companies/89771af8-b964-472e-8064-554dfbcb56d9/approve'

# Response: Company object, with company_status: 'Approved'

scope: companies:write

Path Params
string
required

The UUID of the company

Headers
string
enum
Defaults to 2026-02-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json